var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../../../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../../../scripts/prettify.js\"></script><script src=\"../../../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" /><meta http-equiv=\"Content-Style-Type\" content=\"text/css\" /><meta name=\"generator\" content=\"pandoc\" /><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Building examples on macOS</title>\n\
   </head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script></script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Building examples on macOS</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"building-examples-on-macos\"></a></div>\n\
<blockquote>\n\
<p><strong>Important:</strong> You need to set up your environment as described in <a href=\'#!/url=./dev_help/Setting-up-your-build/Mac-OS-X-environment.html\' title=\'\'>Setting up your build environment</a> before building the examples.</p>\n\
</blockquote>\n\
<p>Plug-in examples are located in <span class=\'code\'>$DEVKIT_LOCATION/devkit/plug-ins/</span> and standalone application examples are located in <span class=\'code\'>$DEVKIT_LOCATION/devkit/applications/</span>. Each individual example is in its own dedicated directory. Change to the example&#39;s directory to build it.</p>\n\
<p>For example, the <span class=\'code\'>circleNode</span> plug-in example, is located in the <span class=\'code\'>circleNode</span> directory. To build it, change directory to <span class=\'code\'>circleNode</span>:</p>\n\
<div class=\"codeBlock\"><pre class=\"prettyprint lang-sh\">cd $DEVKIT_LOCATION/devkit/plug-ins/circleNode\n\
</pre></div><p>Before building an example, you need to run <span class=\'code\'>cmake</span> once to generate a project or a makefile.</p>\n\
<p>For example,</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Project type</th>\n\
<th align=\"left\">cmake command</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Xcode</td>\n\
<td align=\"left\"><span class=\'code\'>cmake -H. -Bbuild -G Xcode</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Makefile</td>\n\
<td align=\"left\"><span class=\'code\'>cmake -H. -Bbuild -G &quot;Unix Makefiles&quot;</span></td>\n\
</tr>\n\
</table>\n\
<p>On Apple Silicon, the target architecture will be arm64 by default. Similarly, on Intel, the target architecture will be Intel x86_64 by default.</p>\n\
<p>You can optionally choose to build for both architectures using the CMAKE_OSX_ARCHITECTURES option.</p>\n\
<p>For example:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Project type</th>\n\
<th align=\"left\">cmake command</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Xcode</td>\n\
<td align=\"left\"><span class=\'code\'>cmake -H. -Bbuild -G Xcode -DCMAKE_OSX_ARCHITECTURES=&quot;x86_64;arm64&quot;</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Makefile</td>\n\
<td align=\"left\"><span class=\'code\'>cmake -H. -Bbuild -G &quot;Unix Makefiles&quot; -DCMAKE_OSX_ARCHITECTURES=&quot;x86_64;arm64&quot;</span></td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>Note:</strong> Only one project is generated when you build for both arm64 and Intel86_64.</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>cmake</span> command should exit with no errors and create a <span class=\'code\'>build</span> directory.</p>\n\
<p>Run <span class=\'code\'>cmake</span> again to build the example:</p>\n\
<div class=\"codeBlock\"><pre class=\"prettyprint lang-sh\">cmake --build build\n\
</pre></div><p>The executable or plug-in will be located under the <span class=\'code\'>build</span> directory if it was built using a UNIX makefile. It will be under the <span class=\'code\'>build/Debug</span> directory if it was built using an Xcode project.</p>\n\
<p>If you generated an Xcode project, you can also build the project from within Xcode.</p>\n\
<p>Plug-ins have the suffix <span class=\'code\'>bundle</span>. For example, the <span class=\'code\'>circleNode</span> plug-in will be called <span class=\'code\'>circleNode/build/circleNode.bundle</span>.</p>\n\
<p>Unlike applications that can be run from the command line, plug-ins must be <a href=\'#!/url=./dev_help/LoadingAndUnloadingPlugins/Loading-Samples-Plug-ins-Into-Maya.html\' title=\'\'>loaded into Maya</a></p>\n\
<blockquote>\n\
<p><strong>Important:</strong> Do not rebuild a plug-in that is already loaded into Maya. <a href=\'#!/url=./dev_help/LoadingAndUnloadingPlugins/Unloading-Plug-ins.html\' title=\'\'>Unload the plug-in</a> before you rebuild it.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";