var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../../scripts/prettify.js\"></script><script src=\"../../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" /><meta http-equiv=\"Content-Style-Type\" content=\"text/css\" /><meta name=\"generator\" content=\"pandoc\" /><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Maya 2024.1 Open Source Components</title>\n\
   </head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script></script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Maya 2024.1 Open Source Components</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maya-2024.1-open-source-components\"></a></div>\n\
<p>This document provides information about customizable open source components used in Maya 2024.1.</p>\n\
<p>If you need to customize any open source libraries for your project, ensure that you use the versions listed here.</p>\n\
<blockquote>\n\
<p><strong>OSC:</strong></p>\n\
<p>OpenImageIO: updated to 2.4.9.0</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"open-source-components\"></a><h2 id=\"open-source-components\">Open Source Components</h2></div>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Component</th>\n\
<th align=\"left\">Version</th>\n\
<th align=\"left\">Notes</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Alembic</td>\n\
<td align=\"left\">1.8.3</td>\n\
<td align=\"left\">Available from <a href=\'https://github.com/alembic/alembic\' title=\'\' target=\'_blank\'>https://github.com/alembic/alembic</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Boost</td>\n\
<td align=\"left\">1.80</td>\n\
<td align=\"left\">Available from <a href=\'https://www.boost.org/\' title=\'\' target=\'_blank\'>https://www.boost.org/</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Bullet</td>\n\
<td align=\"left\">3.24</td>\n\
<td align=\"left\">Available from <a href=\'https://github.com/bulletphysics/bullet3\' title=\'\' target=\'_blank\'>https://github.com/bulletphysics/bullet3</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Cg</td>\n\
<td align=\"left\">3.1.0013</td>\n\
<td align=\"left\">Available from <a href=\'https://developer.nvidia.com/cg-toolkit\' title=\'\' target=\'_blank\'>https://developer.nvidia.com/cg-toolkit</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ffmpeg</td>\n\
<td align=\"left\">0.10.3</td>\n\
<td align=\"left\">With libavcodec version 53.61.100, libavfilter version 2.61.100, and libavformat 53.32.100 -- Available from <a href=\'http://www.autodesk.com/lgplsource\' title=\'\' target=\'_blank\'>http://www.autodesk.com/lgplsource</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ftgl</td>\n\
<td align=\"left\">2.1.3 rc5</td>\n\
<td align=\"left\">Available from <a href=\'http://www.autodesk.com/lgplsource\' title=\'\' target=\'_blank\'>http://www.autodesk.com/lgplsource</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">gmp</td>\n\
<td align=\"left\">6.1.2 on Linux; 6.2.99010 on macOS; 6.1.99010 on Windows</td>\n\
<td align=\"left\">Available from <a href=\'https://gmplib.org/repo/gmp/\' title=\'\' target=\'_blank\'>https://gmplib.org/repo/gmp/</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">libclang</td>\n\
<td align=\"left\">14.0.0 on Windows</td>\n\
<td align=\"left\">Available from <a href=\'https://github.com/llvm-mirror/clang/tree/master/tools/libclang\' title=\'\' target=\'_blank\'>https://github.com/llvm-mirror/clang/tree/master/tools/libclang</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">libxml2</td>\n\
<td align=\"left\">2.9.12</td>\n\
<td align=\"left\">Available from <a href=\'http://xmlsoft.org\' title=\'\' target=\'_blank\'>http://xmlsoft.org</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">mpfr</td>\n\
<td align=\"left\">3.1.5 on Linux and Windows; 4.1.0 on macOS</td>\n\
<td align=\"left\"><a href=\'https://gitlab.inria.fr/mpfr/mpfr\' title=\'\' target=\'_blank\'>https://gitlab.inria.fr/mpfr/mpfr</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">OpenColorIO</td>\n\
<td align=\"left\">2.2.1</td>\n\
<td align=\"left\">Available from <a href=\'https://github.com/AcademySoftwareFoundation/OpenColorIO/tree/RB-2.1\' title=\'\' target=\'_blank\'>https://github.com/AcademySoftwareFoundation/OpenColorIO/tree/RB-2.1</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">OpenEXR</td>\n\
<td align=\"left\">3.1.5</td>\n\
<td align=\"left\">Available from <a href=\'http://www.openexr.com/\' title=\'\' target=\'_blank\'>http://www.openexr.com/</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>OpenImageIO</strong></td>\n\
<td align=\"left\"><strong>2.4.9.0</strong></td>\n\
<td align=\"left\"><strong>Available from <a href=\'https://github.com/OpenImageIO/oiio/releases\' title=\'\' target=\'_blank\'>https://github.com/OpenImageIO/oiio/releases/</a></strong></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">OpenSSL</td>\n\
<td align=\"left\">1.1.1p on Windows</td>\n\
<td align=\"left\">Available from <a href=\'https://www.openssl.org/\' title=\'\' target=\'_blank\'>https://www.openssl.org/</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Open Shading Language</td>\n\
<td align=\"left\">1.2</td>\n\
<td align=\"left\">Available from <a href=\'http://opensource.imageworks.com/?p=osl\' title=\'\' target=\'_blank\'>http://opensource.imageworks.com/?p=osl</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">OpenSubdiv</td>\n\
<td align=\"left\">3.5.0</td>\n\
<td align=\"left\">Available from <a href=\'http://graphics.pixar.com/opensubdiv/\' title=\'\' target=\'_blank\'>http://graphics.pixar.com/opensubdiv/</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ptex</td>\n\
<td align=\"left\">2.4.1</td>\n\
<td align=\"left\">Available from <a href=\'http://ptex.us/\' title=\'\' target=\'_blank\'>http://ptex.us/</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">pyAlembic</td>\n\
<td align=\"left\">1.8.3</td>\n\
<td align=\"left\">Available from <a href=\'https://github.com/alembic/alembic\' title=\'\' target=\'_blank\'>https://github.com/alembic/alembic</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PySide2</td>\n\
<td align=\"left\">5.15.2</td>\n\
<td align=\"left\">Available from <a href=\'https://github.com/autodesk-forks/pyside-setup/releases/tag/Maya2024\' title=\'\' target=\'_blank\'>https://github.com/autodesk-forks/pyside-setup/releases/tag/Maya2024</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PyMel</td>\n\
<td align=\"left\">1.3</td>\n\
<td align=\"left\">Available from <a href=\'https://help.autodesk.com/cloudhelp/2017/ENU/Maya-Tech-Docs/PyMel/\' title=\'\' target=\'_blank\'>https://help.autodesk.com/cloudhelp/2017/ENU/Maya-Tech-Docs/PyMel/</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Python</td>\n\
<td align=\"left\">3.10.8</td>\n\
<td align=\"left\">Available from <a href=\'https://www.python.org/\' title=\'\' target=\'_blank\'>https://www.python.org/</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Qt</td>\n\
<td align=\"left\">5.15.2</td>\n\
<td align=\"left\">Available from <a href=\'https://download.qt.io/archive/qt/5.15/5.15.2/\' title=\'\' target=\'_blank\'>https://download.qt.io/archive/qt/5.15/5.15.2/</a></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">TBB</td>\n\
<td align=\"left\">2020u3</td>\n\
<td align=\"left\">Available from <a href=\'https://github.com/intel/tbb/releases/tag/2020_U3\' title=\'\' target=\'_blank\'>https://github.com/intel/tbb/releases/tag/2020_U3</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";