var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../../scripts/prettify.js\"></script><script src=\"../../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" /><meta http-equiv=\"Content-Style-Type\" content=\"text/css\" /><meta name=\"generator\" content=\"pandoc\" /><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" /><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Building Qt examples</title>\n\
   </head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script></script><script></script><div id=\"reflinkdiv\"></div>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Building Qt examples</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"building-qt-examples\"></a></div>\n\
<p>Before building Qt examples, set up your environment according to the instructions in <a href=\'#!/url=./dev_help/Setting-up-your-build.html\' title=\'\'>Setting up your build environment</a>.</p>\n\
<blockquote>\n\
<p><strong>Note:</strong> You must use the Visual Studio x64 Command Prompt to build Qt plug-ins on Windows.</p>\n\
</blockquote>\n\
<ol>\n\
<li><p><a href=\'#!/url=./dev_help/Working-with-Qt/QtHeadersAndLibraries.html\' title=\'\'>Extract the Qt headers.</a></p></li>\n\
<li><p>Locate the plug-in you want to build. Each Qt example is located in its own directory under the devkit&#39;s <span class=\'code\'>plug-ins</span> directory: <span class=\'code\'>grabUV</span>, <span class=\'code\'>helixQtCmd</span>, <span class=\'code\'>qtAdskStyleProxy</span>, <span class=\'code\'>qtForms</span>, <span class=\'code\'>saveSwatchesCmd</span>, and <span class=\'code\'>workspaceControlCmd</span>.</p></li>\n\
<li><p>From the example&#39;s directory, run <span class=\'code\'>qmake</span> on the <span class=\'code\'>pro</span> file to generate a makefile. On Windows you will need to run <span class=\'code\'>qmake</span> from the Visual Studio x64 command prompt.</p></li>\n\
</ol>\n\
<p>For example, on Linux or macOS, run:</p>\n\
<div class=\"codeBlock\"><pre class=\"prettyprint\">```sh\n\
$DEVKIT_LOCATION/devkit/bin/qmake helixQtCmd.pro\n\
```\n\
\n\
And on Windows, run:\n\
\n\
```sh\n\
%DEVKIT_LOCATION%\\devkit\\qmake.exe helixQtCmd.pro\n\
```\n\
\n\
On macOS, the makefile will have the name of the project with the `.mak` extension added. For example, `helixQtCmd.mak`.\n\
\n\
On Linux and Windows, the makefile will be named `Makefile` regardless of the name of the example.\n\
<ol>\n\
<li></li></ol></pre></div><p>Build the plug-in using the makefile.</p>\n\
<p>On Linux, run <span class=\'code\'>make –f Makefile</span>.</p>\n\
<p>On macOS, run <span class=\'code\'>make –f helixQtCmd.mak</span>.</p>\n\
<p>On Windows, run <span class=\'code\'>nmake /f Makefile</span> from the Visual Studio x64 command prompt.</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";